### Method

# GUPnP DeviceInfo list_dlna_device_class_identifier

since: 0.20.4

#### Declaration [src]

    GList*
    gupnp_device_info_list_dlna_device_class_identifier (
      GUPnPDeviceInfo* info
    )

#### Description [src]

Get a list of strings that represent the device class and version as announced in the device description file using the `<dlna:X_DLNADOC>` element, e.g. `DMS-1.51`, `M-DMS-1.51` and so on.

Available since: 0.20.4

#### Return value

Type: A list of `utf8`

A `GList` of newly allocated strings or `NULL` if the device description doesn’t contain any `<dlna:X_DLNADOC>` element.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.
Each element is a NUL terminated UTF-8 string.